#! /bin/bash
# Generated by ndiswrapper.SlackBuild for ndiswrapper-1.53_2.6.24.5-i486-1McD.tgz on 10-Jun-2008

function upd_conf {
 	# If there's no config file by that name, mv it over:
 	if ! test -e $1; then
 		mv $1.new $1
 	elif diff -q $1 $1.new; then	# toss the redundant copy
 		rm $1.new
 	fi
 	# Otherwise, we leave the .new copy for the admin to consider...
}

# update dependencies in kernel modules directory:
if test -x sbin/depmod; then
 	echo -n "Updating module dependencies for Linux 2.6.24.5: " 1>&2
 	sbin/depmod -a 2.6.24.5 -b $(pwd) && echo "OK." 1>&2
else
 	echo "WARNING: \`depmod' not found. Cannot update kernel module dependencies." 1>&2
fi

# if we're not in the wrong kernel, unload the old ndiswrapper module:
KVER=$(uname -r)
if test "$KVER" != "2.6.24.5"; then
 	echo "WARNING: The kernel module in this package was compiled for Linux 2.6.24.5," 1>&2
 	echo "         but at the moment you are using Linux $KVER." 1>&2
elif lsmod | grep -q '^ndiswrapper '; then
 	echo -n "Unloading the old ndiswrapper module: " 1>&2
 	modprobe -r ndiswrapper && echo "OK." 1>&2
fi

# update config files:
{
 	upd_conf etc/rc.d/rc.netdevice
} | sed 's/^/[1mConfig alert: [0m/'

printf '\033[1;31mHow to set up ndiswrapper:\n'
printf '  >\033[0m  Install your NDIS driver:  \033[0;32m#\033[0;1m ndiswrapper -i \033[0;33myourdriver\033[0;1m.inf\n'
printf '  \033[31m>\033[0m  Check that it worked:      \033[0;32m#\033[0;1m ndiswrapper -l\n'
printf '  \033[31m>\033[0m  Make sure that \033[4m/etc/rc.d/rc.netdevice\033[0m loads the \033[4mndiswrapper\033[0m module.\n'
printf '  \033[1;31m>\033[0m  Modify \033[4m/etc/rc.d/rc.inet1.conf\033[0m and \033[4m/etc/rc.d/rc.wireless.conf\033[0m.\n'
printf "\033[1;31mOnce you're done, either reboot or do:\n"
printf '  \033[0;32m#\033[0;1m  modprobe ndiswrapper\n'
printf '  \033[0;32m#\033[0;1m  /etc/rc.d/rc.inet1 wlan0_restart\033[0m\n'
